Support for Tiamat HD

This support page is for the iPhone game "Tiamat HD." Please stay tuned for an updated website. In the meantime, to get support, please contact us at

Tiamat HD Icon

Requirements

Requires any iPad running iOS 5.1 or later.

Known Issues

• installing the update 1.0.4 on iOS 5 may result in a crash-on-launch. iOS 6 does NOT affect our game with this issue. If you have this problem, you need to first delete the app, then re-install it. Your game will now run. We believe this to be an iOS 5 issue, and is out of our control. If you can first update your device to iOS 6 before installing the 1.0.4 update, then that would be best.

 

A special note to customers using a jailbroken phone.

Although we respect your wishes to have total freedom and control over your phone, it is unfortunately impossible for us to solve any technical issues you may experience with games by us.
If you experience crashes with our, or any other apps, on a jailbroken device, we strongly recommend to restore your device to the factory defaults (consult the manufacturer's manual). Once you've restored the device and updated it with the latest software from the device's manufacturer, try to install and run the game again.